// Processes a folder of images. For each image the macro
// changes the LUT of a 3-channel image and creates a RGB image of the channel 1 and 3.
// author: Noreen Walker , SCF-MPI-CBG, 2019-09

// set parameters
inputDir="/Users/walker/Desktop/macrocourse_data/mixedbatchdata/";
saveDir="/Users/walker/Desktop/macrocourse_results/"


fileList=getFileList(inputDir);

for (i = 0; i < lengthOf(fileList); i++) {
	fileName=fileList[i];

	// process only image files
	if (endsWith(fileName, "tif")) {
		print("Processing file: "+fileName);
	
		open(inputDir+fileName);
	
		// from here on: the macro is unchanged
	
		imageName=getTitle();
		
		run("Split Channels");
		
		// process channel 1
		selectWindow("C1-"+imageName);
		run("Magenta");
		run("Enhance Contrast", "saturated=0.35");
		
		//process channel 3
		selectWindow("C3-"+imageName);
		run("Enhance Contrast", "saturated=0.35");
		
		// merge and save
		run("Merge Channels...", "c1=C1-"+imageName+" c3=C3-"+imageName+" create");
		run("RGB Color");
		
		saveAs("tif", saveDir+"TwoChannels_"+imageName);
		
		run("Close All");
	}
}

