// Process a folder of image stacks and does a max projection of each image. 
//
// Usage: adjust the inputDir and outputDir paths, then click on Run.
// 
// author: Noreen Walker, SCF, MPI-CBG. walker@mpi-cbg.de
// date: 2019-09


// preparations
inputDir="/Users/walker/Desktop/macrocourse_data/zprojection/";
outputDir="/Users/walker/Desktop/macrocourse_results/";


fileList=getFileList(inputDir);

for (i = 0; i < lengthOf(fileList); i++) {
	file=fileList[i];

	// process only image files
	if (endsWith(file,"tif")) {
		
		// open image and do projection
		open(inputDir+file);
		run("Z Project...", "projection=[Max Intensity]");

		// save result
		titleProjected=getTitle();
		saveAs("Tiff", outputDir + titleProjected);

		run("Close All");
		
	}
}
